ServletRequestHandledEvent (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.web.context.support

## Class ServletRequestHandledEvent

- java.lang.Object
- - java.util.EventObject
  - - org.springframework.context.ApplicationEvent
    - - org.springframework.web.context.support.RequestHandledEvent
      - - org.springframework.web.context.support.ServletRequestHandledEvent

- All Implemented Interfaces:
    Serializable

      public class ServletRequestHandledEvent
      extends RequestHandledEvent

  Servlet-specific subclass of RequestHandledEvent, adding servlet-specific context information.
  Since:
    2.0
  Author:
    Juergen Hoeller
  See Also:
    `FrameworkServlet`, `ApplicationEventPublisher.publishEvent(org.springframework.context.ApplicationEvent)`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServletRequestHandledEvent(Object source, String requestUrl, String clientAddress, String method, String servletName, String sessionId, String userName, long processingTimeMillis)` Create a new ServletRequestHandledEvent.
    `ServletRequestHandledEvent(Object source, String requestUrl, String clientAddress, String method, String servletName, String sessionId, String userName, long processingTimeMillis, Throwable failureCause)` Create a new ServletRequestHandledEvent.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClientAddress()` Return the IP address that the request came from.
    `String` | `getDescription()` Return a full description of this event, involving all available context data.
    `String` | `getMethod()` Return the HTTP method of the request (usually GET or POST).
    `String` | `getRequestUrl()` Return the URL of the request.
    `String` | `getServletName()` Return the name of the servlet that handled the request.
    `String` | `getShortDescription()` Return a short description of this event, only involving the most important context data.
    `String` | `toString()`

    - ### Methods inherited from class org.springframework.web.context.support.RequestHandledEvent

      `getFailureCause, getProcessingTimeMillis, getSessionId, getUserName, wasFailure`

    - ### Methods inherited from class org.springframework.context.ApplicationEvent

      `getTimestamp`

    - ### Methods inherited from class java.util.EventObject

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServletRequestHandledEvent

          public ServletRequestHandledEvent(Object source,
                                    String requestUrl,
                                    String clientAddress,
                                    String method,
                                    String servletName,
                                    String sessionId,
                                    String userName,
                                    long processingTimeMillis)

      Create a new ServletRequestHandledEvent.
      Parameters:
        `source` - the component that published the event
        `requestUrl` - the URL of the request
        `clientAddress` - the IP address that the request came from
        `method` - the HTTP method of the request (usually GET or POST)
        `servletName` - the name of the servlet that handled the request
        `sessionId` - the id of the HTTP session, if any
        `userName` - the name of the user that was associated with the request, if any (usually the UserPrincipal)
        `processingTimeMillis` - the processing time of the request in milliseconds

    - #### ServletRequestHandledEvent

          public ServletRequestHandledEvent(Object source,
                                    String requestUrl,
                                    String clientAddress,
                                    String method,
                                    String servletName,
                                    String sessionId,
                                    String userName,
                                    long processingTimeMillis,
                                    Throwable failureCause)

      Create a new ServletRequestHandledEvent.
      Parameters:
        `source` - the component that published the event
        `requestUrl` - the URL of the request
        `clientAddress` - the IP address that the request came from
        `method` - the HTTP method of the request (usually GET or POST)
        `servletName` - the name of the servlet that handled the request
        `sessionId` - the id of the HTTP session, if any
        `userName` - the name of the user that was associated with the request, if any (usually the UserPrincipal)
        `processingTimeMillis` - the processing time of the request in milliseconds
        `failureCause` - the cause of failure, if any

  - ### Method Detail

    - #### getRequestUrl

          public String getRequestUrl()

      Return the URL of the request.

    - #### getClientAddress

          public String getClientAddress()

      Return the IP address that the request came from.

    - #### getMethod

          public String getMethod()

      Return the HTTP method of the request (usually GET or POST).

    - #### getServletName

          public String getServletName()

      Return the name of the servlet that handled the request.

    - #### getShortDescription

          public String getShortDescription()

      Description copied from class: `RequestHandledEvent`
      Return a short description of this event, only involving the most important context data.
      Overrides:
        `getShortDescription` in class `RequestHandledEvent`

    - #### getDescription

          public String getDescription()

      Description copied from class: `RequestHandledEvent`
      Return a full description of this event, involving all available context data.
      Overrides:
        `getDescription` in class `RequestHandledEvent`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `RequestHandledEvent`